import { Renderer2, ElementRef, AfterContentInit, QueryList, OnDestroy, OnInit } from '@angular/core';
import { HsSlideComponent } from './hs-slide/hs-slide.component';
import { SlidesContainerComponent } from "./slides-container/slides-container.component";
export declare class HsNavLeftComponent {
    private _renderer;
    _element: ElementRef;
    constructor(_renderer: Renderer2, _element: ElementRef);
}
export declare class HsNavRightComponent {
    private _renderer;
    _element: ElementRef;
    constructor(_renderer: Renderer2, _element: ElementRef);
}
export declare class HorizontalSliderComponent implements OnInit, OnDestroy, AfterContentInit {
    private _renderer;
    private _element;
    private _onResizeListenerHandler;
    private _slideWidth;
    _isContentInit: boolean;
    private _keydownSubscription;
    HideNav: boolean;
    KeyboardNavActive: boolean;
    keyboardNav: boolean;
    HsSlideComponents: QueryList<HsSlideComponent>;
    SlidesContainer: SlidesContainerComponent;
    constructor(_renderer: Renderer2, _element: ElementRef);
    XsVisibleSlides: number;
    SmVisibleSlides: number;
    MdVisibleSlides: number;
    LgVisibleSlides: number;
    ngAfterViewInit(): void;
    ngAfterContentInit(): void;
    onNavigateLeft(): void;
    onNavigateRight(): void;
    ngOnInit(): void;
    ngOnDestroy(): void;
    readonly IsAtStart: boolean;
    readonly IsAtEnd: boolean;
    private CalulateEngine;
    private SetSizes;
}
export declare const HORIZONTAL_SLIDER_DIRECTIVES: (typeof HsSlideComponent | typeof HsNavLeftComponent | typeof HsNavRightComponent | typeof HorizontalSliderComponent)[];
